/**
 *
 */
package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

/**
 * @描述：书籍关联应用实体
 * @作者：songx
 * @创建时间：2016年12月23日,下午3:45:37
 * @版本：1.0
 */
public class BookApp extends BaseEntity {

    /**
     *
     */
    private static final long serialVersionUID = 5887907028032256326L;

    /**
     * 书籍应用标识
     */
    private Long bookAppId;

    /**
     * 书籍标识
     */
    private Long bookId;

    /**
     * 应用标识
     */
    private Long appId;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 创建人
     */
    private Long createdUser;

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookAppId() {
        return bookAppId;
    }

    public void setBookAppId(Long bookAppId) {
        this.bookAppId = bookAppId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getAppId() {
        return appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public Long getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(Long createdUser) {
        this.createdUser = createdUser;
    }

    @Override
    public String toString() {
        return "BookApp [bookAppId=" + bookAppId + ", bookId=" + bookId + ", appId=" + appId + ", createdUser="
                + createdUser + "]";
    }

}
